Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7313 - fails anydbm test with ndbm over db
Summary: fails anydbm test with ndbm over db
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-25 00:13 UTC by Vilius Puidokas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 00:23:44 UTC


Attachments (Terms of Use)

Description Vilius Puidokas 1999-11-25 00:13:25 UTC
I'm trying to build perl 5.003_03 on a RH 6.1 machine (i686 arch). Perl is
failing its AnyDBM module test (which is a perl interface to the ndbm
(libdb.so) library). The test assigns and reads a value on a tied hash
using a null key ($h{''}). When building perl on a RH 5.2 system using
glibc 2.0.7, this test works fine, but on our RH6.1 machine (glibc 2.1.2)
it fails because the assignment just doesn't work (the null key is
never added to the hash).

So, on 5.2, the perl code:

  $h{''} = 'foo';
  print "$h{''}\n";

will print "foo". But on 6.1 it prints an empty line. It looks like
this is a bug in the libdb library (although I'm not 100% certain).

Comment 1 Cristian Gafton 2000-01-05 00:23:59 UTC
Take a look at the patch we have integrated into the perl RPM from RH 6.1 to see
a possible workaround for Perl's problems on fuguring out which library is
which.


Note You need to log in before you can comment on or make changes to this bug.